#include <Servo.h>
#include <Timer.h>

Servo myservo;

const int IR_sensor = 5;
const int PumpPin1 = A1;         // whiskey
const int PumpPin2 = A2;        // simple syrup
const int PumpPin3 = A3;        // bitters

// PUMPS
#define Whiskey A1  // pump1 on pin 1
#define Sugar A2    // pump2 on pin 2
#define Bitters A3  // pump3 on pin 3

int sensorValue = 0; 


// SERVO
int initialpos = 90;           // initial position
int finalpos = 0;           // final position
float finaltime = 5700;          // desired time to finish rotation (5.7sec)


void setup() {
  Serial.begin(9600);
  myservo.attach(7);
  finalpos = finalpos * 1000;     // convert to ms
  myservo.write(initialpos);        // start the servo at 0
  
  pinMode (Whiskey, OUTPUT);
  pinMode (Sugar, OUTPUT);
  pinMode (Bitters, OUTPUT);
  pinMode(sensorValue, INPUT);

  digitalWrite (Whiskey, HIGH); // pump 1 is off
  digitalWrite (Sugar, HIGH); // pump 2 is off
  digitalWrite (Bitters, HIGH); // pump 3 is off


  delay(1000); // relay delay
}

void loop()  {
  Serial.print("VL");
  Serial.println("");

  sensorValue = digitalRead(IR_sensor);
    Serial.print(sensorValue);
    Serial.println("");
  if (sensorValue == 1) {
    myservo.write(180); 
    digitalWrite(PumpPin1, HIGH); //PUMPS OFF
    digitalWrite(PumpPin2, HIGH);
    digitalWrite(PumpPin3, HIGH);
    Serial.print("1");
    delay(1000);
}
if(sensorValue == 0) {
  Serial.print("0");  
  Serial.println("");                            
  // IRsensor = 1
 delay(1000);                      // timer delay for sensor to initialize sequence
  Serial.print("after delay");  
  Serial.println("");


  digitalWrite(PumpPin1, LOW);   // pump 1 on
  digitalWrite(PumpPin2, LOW);   // pump 2 on
  digitalWrite(PumpPin3, LOW);   // pump 3 on
  delay (500); // wait .5 sec
  digitalWrite(PumpPin3, HIGH); // pump 3 is off
  delay (1000); // wait 1 sec
  digitalWrite(PumpPin2, HIGH); // pump 2 is off
  //delay (5700); // wait 5.7 seconds to pump liquid
  
  for(int angle = 0; angle <= 91; angle++) { // move servo from 0 to 90 degrees
  myservo.write(angle);
  delay(63);
      
   }

  digitalWrite(PumpPin1, HIGH); // pump 1 is off
  
  
  myservo.write(finalpos);
  delay(10000);

  }
}
